<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Untitled :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc/latest/labview-api/Includes/002.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../../_'</script>
    <link rel="icon" href="../../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../../index.html">Antidoc</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../../general-info.html">General information</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../../labview-tool/overview.html">LabVIEW tool</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../overview.html">LabVIEW API</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../../create-addon/overview.html">Create an add-on</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="../../index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="../../index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/edit/docs/v2.0/docs/modules/labview-api/pages/Includes/002.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<div class="sect1">
<h2 id="utilities"><a class="anchor" href="#utilities"></a>Utilities</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="../_images/Utilities_icon.png" alt="Utilities icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="../_images/Utilities.png" alt="Utilities">
</div>
</div>
<table class="tableblock frame-all grid-all stripes-none stretch">
<caption class="title">Table 1. Functions description</caption>
<colgroup>
<col style="width: 14.2857%;">
<col style="width: 42.8571%;">
<col style="width: 42.8572%;">
</colgroup>
<thead>
<tr>
<th class="tableblock halign-left valign-middle">Name</th>
<th class="tableblock halign-center valign-middle">Connector pane</th>
<th class="tableblock halign-left valign-middle">Description</th>
</tr>
</thead>
<tbody>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Check File Name Validity</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="../_images/AntiDoc.lvlib_Utilities.lvlib_Check_File_Name_Validity.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Check File Name Validity.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this funtion to get a file name compatible with ascidoc syntax.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Copy File To Include</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="../_images/AntiDoc.lvlib_Utilities.lvlib_Copy_File_To_Include.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Copy File To Include.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to copy a file you want to include in your document.
The file name will be unique and compatible with the asciidoc syntax.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Is Malleable VI instance</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="../_images/AntiDoc.lvlib_Utilities.lvlib_Is_Malleable_VI_instance.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Is Malleable VI instance.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to know if a VI name is one of an malleable instance VI.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Tool Info&#8212;&#8203;constant</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="../_images/AntiDoc.lvlib_Utilities.lvlib_Tool_Info__constant.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Tool Info  constant.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to know the name (Antidoc) and the version of the tool.</p>
</div></div></td>
</tr>
</tbody>
</table>
</div>
</div>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../../_/js/site.js" data-ui-root-path="../../../../_"></script>
<script async src="../../../../_/js/vendor/highlight.js"></script>
<script src="../../../../_/js/vendor/lunr.js"></script>
<script src="../../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../../.." data-snippet-length="100" data-stylesheet="../../../../_/css/search.css"></script>
<script async src="../../../../search-index.js"></script>
  </body>
</html>
